SuperLU 6.0.0

Functions
ilu_heap_relax_snode.c File Reference

Identify the initial relaxed supernodes. More...

`#include "slu_ddefs.h"`
Include dependency graph for ilu_heap_relax_snode.c:

## Functions
void | ilu_heap_relax_snode (const int n, int *et, const int relax_columns, int *descendants, int *relax_end, int *relax_fsupc)

## Detailed Description

Copyright (c) 2003, The Regents of the University of California, through Lawrence Berkeley National Laboratory (subject to receipt of any required approvals from U.S. Dept. of Energy)

All rights reserved.

The source code is distributed under BSD license, see the file License.txt at the top-level directory.

    -- SuperLU routine (version 4.0) --
    Lawrence Berkeley National Laboratory
    June 1, 2009

## Function Documentation

## ◆ ilu_heap_relax_snode()

void ilu_heap_relax_snode | ( | const int | n,
|  | int * | et,
|  | const int | relax_columns,
|  | int * | descendants,
|  | int * | relax_end,
|  | int * | relax_fsupc
| ) |  |

    Purpose
    =======
       ilu_heap_relax_snode() - Identify the initial relaxed supernodes,
       assuming that the matrix has been reordered according to the postorder
       of the etree.

Here is the call graph for this function: